The PLplot Plotting Library: Programmer's Reference Manual
Prev |  | Next

# Chapter 3. Advanced Use of PLplot

In this chapter, we describe advanced use of PLplot.

# Command Line Arguments

PLplot supports a large number of command line arguments, but it is up to the user to pass these to PLplot for processing at the beginning of execution. `plparseopts` is responsible for parsing the argument list, removing all that are recognized by PLplot, and taking the appropriate action before returning. There are an extensive number of options available to affect this process. The command line arguments recognized by PLplot are given by the -h option:

    % x01c -h
    Usage:
            ./x01c [options]

    PLplot options:
        -h                   Print out this message
        -v                   Print out the PLplot library version number
        -verbose             Be more verbose than usual
        -debug               Print debugging info (implies -verbose)
        -dev name            Output device name
        -o name              Output filename
        -display name        X server to contact
        -px number           Plots per page in x
        -py number           Plots per page in y
        -geometry geom       Window size, in pixels (e.g. -geometry 400x300)
        -wplt xl,yl,xr,yr    Relative coordinates [0-1] of window into plot
        -mar margin          Margin space in relative coordinates (0 to 0.5, def 0)
        -a aspect            Page aspect ratio (def: same as output device)
        -jx justx            Page justification in x (-0.5 to 0.5, def 0)
        -jy justy            Page justification in y (-0.5 to 0.5, def 0)
        -ori orient          Plot orientation (0,2=landscape, 1,3=portrait)
        -freeaspect          Do not preserve aspect ratio on orientation swaps
        -portrait            Sets portrait mode (both orientation and aspect ratio)
        -width width         Sets pen width (1 <= width <= 10)
        -bg color            Background color (0=black, FFFFFF=white)
        -ncol0 n             Number of colors to allocate in cmap 0 (upper bound)
        -ncol1 n             Number of colors to allocate in cmap 1 (upper bound)
        -fam                 Create a family of output files
        -fsiz size[kKmMgG]   Output family file size in MB (e.g. -fsiz 0.5G, def MB)
        -fbeg number         First family member number on output
        -finc number         Increment between family members
        -fflen length        Family member number minimum field width
        -nopixmap            Don't use pixmaps in X-based drivers
        -db                  Double buffer X window output
        -np                  No pause between pages
        -server_name name    Main window name of PLplot server (tk driver)
        -dpi dpi             Resolution, in dots per inch (e.g. -dpi 360x360)
        -compression num     Sets compression level in supporting devices
        -drvopt option[=value][,option[=value]]* Driver specific options

The command-line options can also be set using the `plsetopt` function, if invoked before `plinit`.

Some options are may not be recognized by individual drivers. If an option is not recognized but should be, please contact the driver author via the plplot mailing lists.

Many drivers have specific options that can be set using the -drvopt command line option or with `plsetopt`. These options are documented in Chapter 5 and Chapter 6.

Prev | Home | Next
In Case of Error | Up | Output Devices